aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authormerakor <cem@ckyln.com>2020-05-01 18:02:31 +0000
committermerakor <cem@ckyln.com>2020-05-01 18:02:31 +0000
commit3781ac31a9d370daedbd4f000c6d27c3a9926820 (patch)
treeb36ad329b4ac3902dbca39cacec2a506ab137ab0
parent6e87c577bfbca7f4b03628c1ea45a123a41d7b27 (diff)
downloadcpt-3781ac31a9d370daedbd4f000c6d27c3a9926820.tar.gz
contrib: add kiss-changelog
FossilOrigin-Name: a9d9cf401c59c870146a7d3fd55ba71afe80f770d31e9792cc5c0460ec39ac54
-rwxr-xr-xcontrib/kiss-changelog15
1 files changed, 15 insertions, 0 deletions
diff --git a/contrib/kiss-changelog b/contrib/kiss-changelog
new file mode 100755
index 0000000..8963d18
--- /dev/null
+++ b/contrib/kiss-changelog
@@ -0,0 +1,15 @@
+#!/bin/sh -e
+
+# Print the git log of the specific package
+
+[ "$1" ] || {
+ printf '\033[1;33m-> \033[musage: %s [pkg]\n' "${0##*/}"
+ exit 0
+}
+
+kiss s "$1" >/dev/null
+cd "$(kiss s "$1" | sed 1q)"
+
+# Pipe to cat so it doesn't automatically paged
+# by git.
+git log --format='<%as> [%an] %s - %h' . | cat